Skip to content
Ask AI

Nexthop-Netconf

YANG Pathget/get-configedit-configrpc
/nexthop-groups/{name}Ymerge, replace, create, delete—
/show-nexthop-group——Y

This chapter provides examples on how to use Netconf to manage Nexthop Group on AsterNOS devices.

Request example to create a nexthop group entry via edit-config.

<config>
<top>
<nexthop-groups operation="create">
<nexthop-group>
<name>test</name>
<nexthop>1.1.1.1</nexthop>
<nexthop>2.2.2.2</nexthop>
</nexthop-group>
</nexthop-groups>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:a0331cad-5050-4acf-b930-3ba837b011ac">
<ok/>
</rpc-reply>

Request example to get a nexthop group entry via get-config.

<filter type="subtree">
<top>
<nexthop-groups>
<nexthop-group>
<name>test</name>
</nexthop-group>
</nexthop-groups>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:a4205a8e-3530-43a6-abff-8ae9621a4b71">
<data>
<top>
<nexthop-groups xmlns="http://asterfusion.com/ns/yang/asternos-nexthop">
<nexthop-group>
<name>test</name>
<nexthop>1.1.1.1</nexthop>
<nexthop>2.2.2.2</nexthop>
</nexthop-group>
</nexthop-groups>
</top>
</data>
</rpc-reply>

Request example to merge a nexthop group entry via edit-config.

<config>
<top>
<nexthop-groups operation="merge">
<nexthop-group>
<name>test</name>
<nexthop>3.3.3.3</nexthop>
</nexthop-group>
</nexthop-groups>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:abda8f9b-1c6e-4a23-9ad8-56ac50f14128">
<ok/>
</rpc-reply>

Request example to delete a nexthop group entry via edit-config.

<config>
<top>
<nexthop-groups>
<nexthop-group operation="delete">
<name>test</name>
</nexthop-group>
</nexthop-groups>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:dc1bfbf0-0610-4c2b-9250-490e2568d58b">
<ok/>
</rpc-reply>

Request example to show nexthop groups via rpc show-nexthop-grou.

<show-nexthop-grou/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:e93789ff-7ccf-4ba6-84c1-4156abe0fa27">
<data xmlns="http://asterfusion.com/ns/yang/asternos-nexthop">ID: 21 (zebra)
RefCnt: 1
Uptime: 00:29:28
VRF: default(IPv4)
Nexthop Count: 1
Valid
Depends: (15)
via 192.168.101.1 (vrf default) (recursive), weight 1
via 192.168.18.254, eth0 (vrf default), weight 1
ID: 22 (zebra)
RefCnt: 1
Uptime: 00:11:32
VRF: default(IPv4)
Nexthop Count: 1
via 7.1.1.2 (vrf default) inactive, weight 1
ID: 24 (zebra)
RefCnt: 2
Uptime: 00:11:35
VRF: default(IPv6)
Nexthop Count: 1
Valid, Installed
Interface Index: 10
is directly connected, Ethernet1 (vrf default), weight 1
ID: 8 (zebra)
RefCnt: 1
Uptime: 00:11:32
VRF: default(IPv4)
Nexthop Count: 1
Interface Index: 5
is directly connected, docker0 (vrf default) inactive linkdown, weight 1
ID: 9 (zebra)
RefCnt: 2
Uptime: 00:30:56
VRF: default(IPv4)
Nexthop Count: 1
Valid, Installed, Initial Delay
Interface Index: 4
is directly connected, eth0 (vrf default), weight 1
ID: 26 (zebra)
RefCnt: 2
Uptime: 00:11:32
VRF: default(IPv4)
Nexthop Count: 1
Valid, Installed, Initial Delay
Interface Index: 10
is directly connected, Ethernet1 (vrf default), weight 1
ID: 10 (zebra)
RefCnt: 2
Uptime: 00:30:56
VRF: default(IPv4)
Nexthop Count: 1
Valid, Installed, Initial Delay
Interface Index: 8
is directly connected, Loopback0 (vrf default), weight 1
ID: 11 (zebra)
RefCnt: 2
Uptime: 00:30:56
VRF: default(IPv6)
Nexthop Count: 1
Valid, Initial Delay
Interface Index: 9
is directly connected, dummy (vrf default), weight 1
ID: 28 (zebra)
RefCnt: 1
Uptime: 00:10:42
VRF: default(IPv4)
Nexthop Count: 1
Valid, Installed
Interface Index: 10
via 8.1.1.2, Ethernet1 (vrf default), weight 1
ID: 12 (zebra)
RefCnt: 2
Uptime: 00:30:56
VRF: default(IPv6)
Nexthop Count: 1
Valid, Initial Delay
Interface Index: 8
is directly connected, Loopback0 (vrf default), weight 1
ID: 13 (zebra)
RefCnt: 2
Uptime: 00:30:56
VRF: default(IPv6)
Nexthop Count: 1
Valid, Initial Delay
Interface Index: 7
is directly connected, Bridge (vrf default), weight 1
ID: 14 (zebra)
RefCnt: 2
Uptime: 00:30:56
VRF: default(IPv6)
Nexthop Count: 1
Valid, Installed, Initial Delay
Interface Index: 4
is directly connected, eth0 (vrf default), weight 1
ID: 15 (zebra)
RefCnt: 3
Uptime: 00:11:32
VRF: default(IPv4)
Nexthop Count: 1
Valid, Installed
Interface Index: 4
via 192.168.18.254, eth0 (vrf default), weight 1
Dependents: (21)</data>
</rpc-reply>

A nexthop-group, represented as a list of nexthop objects

Section titled “A nexthop-group, represented as a list of nexthop objects”

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-nexthop.yang:22: warning: imported module "asternos-interfaces" not used
module: asternos-nexthop
+--rw nexthop-groups
+--rw nexthop-group* [name]
+--rw name string
+--rw nexthop* inet:ip-address-no-zone

Table of Properties

NameRequiredType/RangeDescription
nexthop-groupsMPath-only node, has no configurable value.
A nexthop-group, represented as a list of nexthop objects.
nexthop-groupMPath-only node, has no configurable value.
List of nexthop groups, each contains group of nexthops
nameOstringThe nexthop-group name.
nexthopOinet:ip-address-no-zoneThe nexthop ip address.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-nexthop.yang:22: warning: imported module "asternos-interfaces" not used
module: asternos-nexthop
rpcs:
+---x show-nexthop-group
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-nexthop-groupO
dataO